Skip to main content
GET
/
v1
/
environments
List environments
curl --request GET \
  --url https://api.agentmark.co/v1/environments \
  --header 'Authorization: Bearer <token>' \
  --header 'X-Agentmark-App-Id: <api-key>'
{
  "data": [
    {
      "created_at": "<string>",
      "created_by_id": "<string>",
      "current_commit_sha": "<string>",
      "current_version": 1,
      "epoch": 123,
      "fly_app_name": "<string>",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "is_default": true,
      "latest_deployment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>"
    }
  ],
  "pagination": {
    "limit": 1,
    "offset": 1,
    "total": 1
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.agentmark.co/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Agentmark-App-Id
string
header
required

Application ID for tenant scoping

Authorization
string
header
required

API key (sk_agentmark_*)

Query Parameters

limit
integer
default:25
Required range: 0 < x <= 100
offset
integer | null
default:0
Required range: x >= 0

Response

Paginated list of environments.

data
object[]
required
pagination
object
required